1

I did a "make install" for lang/gcc48 in pkgsrc. It did built ok. However, when I do gcc --versions, the default gcc 4.5.3 is displayed. What steps do I need to do after the build?

  • 1
    Not a BSD user but as a quick guess: Check your $PATH. It's evaluated left to right, which decides what will take precedence (the first gcc found). – goldilocks Mar 14 '14 at 13:29
  • 1
    The binary probably needs to be called as something other than gcc. maybe gcc48? – Faheem Mitha Mar 14 '14 at 13:54
  • What is the result of echo $PATH? – enedil Mar 14 '14 at 13:55
  • the $PATH is /home/alg/bin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/X11R7/bin:/usr/dt/bin:/usr/X11R6/bin:/usr/pkg/bin:/usr/pkg/sbin:/usr/games:/usr/local/bin:/usr/local/sbin – alberto Mar 14 '14 at 14:07
  • Thanks for the comments, I just added the right path and it worked. – alberto Mar 14 '14 at 14:33

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.